Subject: bug#10946: 24.0.94; eval-after-load incompatible change

From: Leo <[email-masked]>
Date: Thu, 08 Mar 2012 11:21:19 +0800

On 2012-03-08 04:28 +0800, Stefan Monnier wrote:
> Sorry about this typo.  But note that after thinking some more about it,
> I noticed that it's called "eval-after-LOAD", so it makes sense that it
> should only work when LOADing a file.

Sure, but eval-after-load covered both load and provide before. So this
is an important incompatible change. eval-after-load is advertised for
use in user's personal setup after all.

I wonder if something for provide could be added. `provide' already
checks after-load-alist (though the code now does nothing), how about
give it a dedicated list to check such as post-provide-hook and use the
standard hook facility?

Leo